| The Gaudi Framework v32r1 (f65d50dc)

Public Types | Public Member Functions | Private Member Functions | Private Attributes | List of all members
Gaudi::PluginService::v1::Details::Logger Class Reference

Simple logging class, just to provide a default implementation. More...

`#include <Gaudi/Details/PluginServiceDetailsV1.h>`

## Public Types
enum | Level { Debug = 0, Info = 1, Warning = 2, Error = 3 }

## Public Member Functions
| Logger (Level level=Warning)
virtual | ~Logger ()
Level | level () const
void | setLevel (Level level)
void | info (const std::string &msg)
void | debug (const std::string &msg)
void | warning (const std::string &msg)
void | error (const std::string &msg)

## Private Member Functions
virtual void | report (Level lvl, const std::string &msg)

## Private Attributes
Level | m_level

## Detailed Description

Simple logging class, just to provide a default implementation.

Definition at line 186 of file PluginServiceDetailsV1.h.

## Member Enumeration Documentation

## ◆ Level

enum Gaudi::PluginService::v1::Details::Logger::Level

Enumerator
Debug |
Info |
Warning |
Error |

Definition at line 188 of file PluginServiceDetailsV1.h.

188 { Debug = 0, Info = 1, Warning = 2, Error = 3 };
Gaudi::PluginService::v1::Details::Logger::Error
Definition: PluginServiceDetailsV1.h:188
Gaudi::PluginService::v1::Details::Logger::Warning
Definition: PluginServiceDetailsV1.h:188
Gaudi::PluginService::v1::Details::Logger::Debug
Definition: PluginServiceDetailsV1.h:188
Gaudi::PluginService::v1::Details::Logger::Info
Definition: PluginServiceDetailsV1.h:188

## Constructor & Destructor Documentation

## ◆ Logger()

Gaudi::PluginService::v1::Details::Logger::Logger | ( | Level | level = `Warning` | ) |
| inline

Definition at line 189 of file PluginServiceDetailsV1.h.

189 : m_level( level ) {}
Gaudi::PluginService::v1::Details::Logger::m_level
Level m_level
Definition: PluginServiceDetailsV1.h:200
Gaudi::PluginService::v1::Details::Logger::level
Level level() const
Definition: PluginServiceDetailsV1.h:191

## ◆ ~Logger()

virtual Gaudi::PluginService::v1::Details::Logger::~Logger | ( |  | ) |
| inline virtual

Definition at line 190 of file PluginServiceDetailsV1.h.

190 {}

## Member Function Documentation

## ◆ debug()

void Gaudi::PluginService::v1::Details::Logger::debug | ( | const std::string & | msg | ) |
| inline

Definition at line 194 of file PluginServiceDetailsV1.h.

194 { report( Debug, msg ); }
Gaudi::PluginService::v1::Details::Logger::report
virtual void report(Level lvl, const std::string &msg)
Definition: PluginServiceV1.cpp:318
Gaudi::PluginService::v1::Details::Logger::Debug
Definition: PluginServiceDetailsV1.h:188
GaudiMP.FdsRegistry.msg
msg
Definition: FdsRegistry.py:8

## ◆ error()

void Gaudi::PluginService::v1::Details::Logger::error | ( | const std::string & | msg | ) |
| inline

Definition at line 196 of file PluginServiceDetailsV1.h.

196 { report( Error, msg ); }
Gaudi::PluginService::v1::Details::Logger::Error
Definition: PluginServiceDetailsV1.h:188
Gaudi::PluginService::v1::Details::Logger::report
virtual void report(Level lvl, const std::string &msg)
Definition: PluginServiceV1.cpp:318
GaudiMP.FdsRegistry.msg
msg
Definition: FdsRegistry.py:8

## ◆ info()

void Gaudi::PluginService::v1::Details::Logger::info | ( | const std::string & | msg | ) |
| inline

Definition at line 193 of file PluginServiceDetailsV1.h.

193 { report( Info, msg ); }
Gaudi::PluginService::v1::Details::Logger::report
virtual void report(Level lvl, const std::string &msg)
Definition: PluginServiceV1.cpp:318
Gaudi::PluginService::v1::Details::Logger::Info
Definition: PluginServiceDetailsV1.h:188
GaudiMP.FdsRegistry.msg
msg
Definition: FdsRegistry.py:8

## ◆ level()

Level Gaudi::PluginService::v1::Details::Logger::level | ( |  | ) | const
| inline

Definition at line 191 of file PluginServiceDetailsV1.h.

191 { return m_level; }
Gaudi::PluginService::v1::Details::Logger::m_level
Level m_level
Definition: PluginServiceDetailsV1.h:200

## ◆ report()

void Gaudi::PluginService::v2::Details::Logger::report | ( | Level | lvl,
|  | const std::string & | msg
| ) |  |
| private virtual

Definition at line 318 of file PluginServiceV1.cpp.

318 {
319 static const char* levels[] = {"DEBUG : ", "INFO : ", "WARNING: ", "ERROR : "};
320 if ( lvl >= level() ) { std::cerr << levels[lvl] << msg << std::endl; }
321 }
std::endl
T endl(T... args)
Gaudi::PluginService::v1::Details::Logger::level
Level level() const
Definition: PluginServiceDetailsV1.h:191
GaudiMP.FdsRegistry.msg
msg
Definition: FdsRegistry.py:8
std::cerr

## ◆ setLevel()

void Gaudi::PluginService::v1::Details::Logger::setLevel | ( | Level | level | ) |
| inline

Definition at line 192 of file PluginServiceDetailsV1.h.

192 { m_level = level; }
Gaudi::PluginService::v1::Details::Logger::m_level
Level m_level
Definition: PluginServiceDetailsV1.h:200
Gaudi::PluginService::v1::Details::Logger::level
Level level() const
Definition: PluginServiceDetailsV1.h:191

## ◆ warning()

void Gaudi::PluginService::v1::Details::Logger::warning | ( | const std::string & | msg | ) |
| inline

Definition at line 195 of file PluginServiceDetailsV1.h.

195 { report( Warning, msg ); }
Gaudi::PluginService::v1::Details::Logger::report
virtual void report(Level lvl, const std::string &msg)
Definition: PluginServiceV1.cpp:318
Gaudi::PluginService::v1::Details::Logger::Warning
Definition: PluginServiceDetailsV1.h:188
GaudiMP.FdsRegistry.msg
msg
Definition: FdsRegistry.py:8

## Member Data Documentation

## ◆ m_level

Level Gaudi::PluginService::v1::Details::Logger::m_level
| private

Definition at line 200 of file PluginServiceDetailsV1.h.

The documentation for this class was generated from the following files:

- GaudiPluginService/Gaudi/Details/PluginServiceDetailsV1.h
- GaudiPluginService/src/PluginServiceV1.cpp
- GaudiPluginService/src/PluginServiceV2.cpp